##
##  telegraf.conf -- Telegraf Server Configuration
##

[global_tags]
  user                      = "$USER"

[agent]
  interval                  = "10s"
  round_interval            = true
  metric_batch_size         = 1000
  metric_buffer_limit       = 10000
  collection_jitter         = "0s"
  flush_interval            = "10s"
  flush_jitter              = "0s"
  debug                     = false
  quiet                     = false
  hostname                  = "server.example.com"
  omit_hostname             = false

#[[outputs.influxdb]]
  #urls                     = [ "http://localhost:8086" ]
  #database                 = "telegraf"
  #precision                = "s"
  #retention_policy         = "default"
  #write_consistency        = "any"
  #timeout                  = "5s"
  #username                 = "telegraf"
  #password                 = "telegraf"
  #user_agent               = "telegraf"
  #udp_payload              = 512
  #ssl_ca                   = "@l_prefix@/etc/x509/example-ca.crt.pem"
  #ssl_cert                 = "@l_prefix@/etc/x509/example-server.crt.pem"
  #ssl_key                  = "@l_prefix@/etc/x509/example-server.key.pem"
  #insecure_skip_verify     = false

[[outputs.file]]
  files                     = [ "@l_prefix@/var/telegraf/log/telegraf.output.log" ]
  data_format               = "influx"

[[inputs.tail]]
  files                     = [ "@l_prefix@/var/telegraf/log/telegraf.input.log" ]
  from_beginning            = false
  data_format               = "influx"

[[inputs.disk]]
  ignore_fs                 = [ "tmpfs", "devtmpfs", "devfs", "iso9660", "overlay", "aufs", "squashfs" ]

[[inputs.cpu]]
  totalcpu                  = true
  percpu                    = false
  report_active             = true
  fielddrop                 = [ "time_*" ]

[[inputs.mem]]

#[[inputs.swap]]

[[inputs.processes]]

[[inputs.system]]

[[inputs.net]]
  ignore_protocol_stats     = false

[[inputs.netstat]]

#[[inputs.exec]]
  #commands                  = [ "@l_prefix@/etc/telegraf/telegraf.d/*" ]
  #timeout                   = "5s"
  #name_suffix               = "_example"
  #data_format               = "influx"

#[[inputs.docker]]
  #endpoint                  = "unix:///var/run/docker.sock"
  #gather_services           = false
  #perdevice                 = false
  #total                     = true

#[[inputs.consul]]
  #address                  = "127.0.0.1"
  #scheme                   = "http"
  #token                    = ""
  #username                 = ""
  #password                 = ""
  #datacentre               = ""

#[[inputs.http_response]]
  #address                  = "http://service.example.com/"
  #response_timeout         = "5s"
  #method                   = "GET"
  #follow_redirects         = true
  #ssl_ca                   = "@l_prefix@/etc/x509/example-ca.crt.pem"
  #ssl_cert                 = "@l_prefix@/etc/x509/example-server.crt.pem"
  #ssl_key                  = "@l_prefix@/etc/x509/example-server.key.pem"
  #insecure_skip_verify     = false

#[[inputs.net_response]]
  #protocol                 = "tcp"
  #address                  = "localhost:1234"
  #timeout                  = "1s"
  #send                     = "example-request"
  #expect                   = "example-response"
  #read_timeout             = "1s"

#[[inputs.mqtt_consumer]]
  #servers                  = [ "localhost:1883" ]
  #qos                      = 0
  #topics                   = [ "telegraf/#" ]
  #persistent_session       = false
  #client_id                = ""
  #username                 = "telegraf"
  #password                 = "telegraf"
  #ssl_ca                   = "@l_prefix@/etc/x509/example-ca.crt.pem"
  #ssl_cert                 = "@l_prefix@/etc/x509/example-server.crt.pem"
  #ssl_key                  = "@l_prefix@/etc/x509/example-server.key.pem"
  #insecure_skip_verify     = false
  #data_format              = "influx"

